Customers
Update customer
You must specify all properties in the properties field as this method will update the whole customer.
PUT
/
v3
/
customers
/
{id}
Update customer
curl --request PUT \
--url https://api.example.com/v3/customers/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"id": 123,
"properties": {},
"partnerId": 123
}
'import requests
url = "https://api.example.com/v3/customers/{id}"
payload = {
"id": 123,
"properties": {},
"partnerId": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({id: 123, properties: {}, partnerId: 123})
};
fetch('https://api.example.com/v3/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"creationDate": "2023-11-07T05:31:56Z",
"properties": {},
"sourcePartnerId": 123,
"sourceLeadId": 123,
"status": "Unknown",
"source": "Unknown",
"isDeleted": true,
"deletionDate": "2023-11-07T05:31:56Z"
}Path Parameters
The ID of the customer to update.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Customer updated
Show child attributes
Show child attributes
Available options:
Unknown, New, Paying, Canceled Available options:
Unknown, OnlineReferral, Lead, Deal Update customer
